VIOSCSI(4) | Device Drivers Manual | VIOSCSI(4)

# NAME

vioscsi — VirtIO SCSI adapter

# SYNOPSIS

vioscsi* at virtio?
scsibus* at vioscsi?

# DESCRIPTION

vioscsi driver provides support for virtio(4) SCSI adapters.

# SEE ALSO

scsi(4), sd(4), virtio(4)

# HISTORY

The vioscsi driver first appeared in OpenBSD 5.5. It first appeared in NetBSD 7.1, with further stabilization in NetBSD 8.0.

# AUTHORS

The vioscsi driver was written by Matthew Dempsky <matthew@dempsky.org>. NetBSD port done by
Christos Zoulas. Further stabilization done by
Jaromir Dolecek <jdolecek@NetBSD.org>.

# CAVEATS

vioscsi driver limits probe to 1 channel, 16 targets, and 1024 LUNs to reduce boot time.

May 17, 2017 | NetBSD 8.1